
QGIS Application - Bug report #13243

Unable to delete item in relation block using the form view

2015-08-20 02:31 AM - Bart Noordervliet

Status: Closed

Priority: Normal

Assignee:

Category: Relations

Affected QGIS version:2.10.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 21304

Description

I'm using relations to work with subitems within the form of their parent. When using the form view for the subitems, I'm unable to delete

them. When I switch to the list view I can delete them.

Attached is a reproducer project with associated shapefiles. To reproduce the problem:

- Select the 'item' layer

- Use the Identify tool to click on the item-dot surrounded by the 3 other dots

- Make the linked layer editable and try to delete one of the entries

In contrast, deletion does work if you switch the linked layer to list view with the icon in the top right corner.

History

#1 - 2015-09-22 10:45 AM - Luca Lanteri

Also the remove link doesn't work.

#2 - 2015-11-19 07:36 AM - Bart Noordervliet

- Assignee deleted (Matthias Kuhn)

Bug still present in 2.12.0

#3 - 2017-05-01 01:06 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#4 - 2019-03-09 03:07 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/
http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/


QGIS 3.4 has recently become our new Long Term Release  (LTR) version. This is a major step in our history – a long term release version based on the

massive updates, library upgrades and improvements that we carried out in the course of the 2.x to 3x upgrade cycle.

We strongly encourage all users who are currently using QGIS 2.18 LTR  as their preferred QGIS release to migrate to QGIS 3.4. This new LTR version

will receive regular bugfixes for at least one year. It also includes hundreds of new functions, usability improvements, bugfixes, and other goodies. See the

relevant changelogs for a good sampling of all the new features that have gone into version 3.4

Most plugins have been either migrated or incorporated into the core QGIS code base.

We strongly discourage the continued use of QGIS 2.18 LTR as it is now officially unsupported, which means we’ll not provide any bug fix releases for it.

You should also note that we intend to close all bug tickets referring to the now obsolete LTR version. Original reporters will receive a notification of the

ticket closure and are encouraged to check whether the issue persists in the new LTR, in which case they should reopen the ticket.

If you would like to better understand the QGIS release roadmap, check out our roadmap page! It outlines the schedule for upcoming releases and will help

you plan your deployment of QGIS into an operational environment.

The development of QGIS 3.4 LTR has been made possible by the work of hundreds of volunteers, by the investments of companies, professionals, and

administrations, and by continuous donations and financial support from many of you. We sincerely thank you all and encourage you to collaborate and

support the project even more, for the long term improvement and sustainability of the QGIS project.

Files

Reproducer.zip 7.08 KB 2015-08-20 Bart Noordervliet
